linux下node.js的编译安装

编译需要gcc-c++编译器和openssl-devel库的支持,如果没有需要先安装。

在centos下可以先执行:yum install gcc-c++ openssl-devel。

在debain或ubuntu下可以先执行:sudo apt-get install g++ libssl-dev。

然后开始安装:

wget http://nodejs.org/dist/node-v0.6.2.tar.gz

tar zxvf node-v0.6.2.tar.gz

cd node-v0.6.2

./configure

make

make install

最后,使用node -v检验是否已经安装成功,如果成功了会显示版本号码。

2011年12月01日